# Build a prompt segment with rounded corners
function _prompt_segment
    set content $argv[1]
    set bg $argv[2]
    set fg $argv[3]

    test -z "$content"; and return

    set bg (string replace -a "#" "" $bg)
    set bg (string replace -a '"' '' $bg)
    set fg (string replace -a "#" "" $fg)
    set fg (string replace -a '"' '' $fg)

    echo (set_color $bg)(set_color -b $bg $fg)" $content "(set_color normal)(set_color $bg)(set_color normal)
end
